Feeds, issues, packages and code source about emulation and pograming, of VENENUX proyects, Debian related distros and massenkoh!

VIA & Unichrome debian linux drivers 3D

|

WARNING: NEW PACKAGS, will upload at sunday,for i386 (Pentium class,K6 amd, K7,K8), or amd64 (x86_64, amd_64, not ia64)
ADVERTENCIA: NUEVOS paquetes (libs y modulo X), para i386 (Pentums y K6,K7,K8 amds) o amd64 (x86_64, amd_64, no las ia64)

sources to the end of post! fuentes al final del post!

NUEVOS PAQUETES ACTUALIZADOS; repositorio aun no listo, estan para el domingo...

VIA is a company that produces good card form fatory motherboards, but over all issues about, integrated graphics chipset has no good support in linux, despiste the info from VIA arena website! all lies!

The unichrome proyect! (http://unichrome.sourceforge.net/) The Unichrome Project provides Free and Open Source support for the S3 Unichrome family of integrated graphics devices, as found on all recent VIA Technologies Northbridges.

But there also other X module's apart it! The great openchrome proyect (http://www.openchrome.org/) that is a snapshot of an experimental branch of the unichrome cvs code, this is a continued development of the open source unichrome driver incorporates support for the unichrome-pro and IGP especial chipsets.

Obviously, the VIA original and oficial driver is a stupid option! Lies! all features are only for GUINdosers and linux drivers releases only have some features and 3D support only runs well at root privilegies! that is a insegure option! (like a stupid gundoser users!)

What is the choose! easy! depends of u'r hardware!

*U should use unichrome sourceforge module (called via in xorg 6.9/7.0/7.1) for the common no IGP and general unichrome chipset! *But if this solution fails, then u can use as last chance the openchrome expermental featured module driver (called opencrhome in xorg 7.0/7.1)

The debian users je je, can use this module compiled by PICCORO darkmatter member and packaged by PICCORO Lenz McKAY member of suite!

This module uses DRI infrastructure, so u should hav kernel mayor 2.6.12/2.6.14 and above or compile the via dri new kernel dri module in the 2.6 old kernel brand (is easy, i provide later a tutorial)
VIA es una compañia que produce buenas tarjetas madres de fabrica, pero por sobretodo, los chips graficos integrados no tienen buen soporte en linux, contrario a la info desde la web VIA arena! puras mentiras!

El proyecto unichrome! (http://unichrome.sourceforge.net/) El proyecto Unichrome provee libre y abierto soporte para las familias S3 de dispositivos graficos integrados, encontrados en las recientes tecnologias de puente norte de VIA.

Pero hay tambien othro modulo X aparte! El gran proyecto openchrome (http://www.openchrome.org/) el cual es una muestra de la rama experimental de el codiugo cvs de unichrome, es in continuo desarrollo de el driver libre pero incorpora soporte para las unichrome-pro y IGP chipset especiales.

Evidentemente, el driver original y oficial de la VIA es una estupida opcion! Mentiras! todas las facilidades son solo para guindosers y las liberaciones para linux solo tienen algunas facilidades y el soporte 3D solo corre bien con privilegios de root! que es una opcion insegura! (tal cual usuario guindoser!)

Pero caul es la opcion! facil! depende de tu harware!

* Tu debes usar el modulo de souceforge (llamado via en xorg 6.9/7.0/7.1) para las comunes no IGP y populares mas conocidas! * Pero si esto falla, entonces puedes usar como ultima opcion el modulo experimental openchrome reciente (llamado openchrome en xorg 7.0/7.1)

Los usuarios debian je je, pueden usar este modulo compilado por el compañero PICCORO darkmatter y empaquetado por PICCORO LEnz McKAY miembro de la suite!

Este modulo usa infrestructura DRI, por tanto deben tener kernel mayor de 2.6.12/2.6.14 en adelante o compilar el nuevo modulo dri via en la vieja rama 2.6 (es facil, proveere un tutorial despues!)
funcionaron/working: CUBE, WARZONE, quake3, quake4, torcs, supertux, beryl (very old & xorg 7.0 RC1), pcsx-df freeze/colgaron: pcsx2, yabause, lxdream, beryl not run/no corren: compiz, recents/recientes beryls
xserver-xorg-video-openchrome_0.2.901-0debian1_i386.deb xserver-xorg-video-openchrome_0.2.901-0debian1_amd64.deb libchromexvmcpro1_0.2.9 01-0debian1_i386.deb libchromexvmcpro1_0.2.9 01-0debian1_amd64.deb libchromexvmc1_0.2.901- 0debian1_i386.deb libchromexvmc1_0.2.901- 0debian1_amd64.deb http://rapidshare.com/files/92962487/xserver-xorg-video-open chrome_0.2.901-0debian1.tar.gz http://rapidshare.com/files/92962488/xserver-xorg-video-open chrome_0.2.901-0debian1.dsc

12 comments/comentarios:

Anónimo dijo...

Hace algunos años te hubiese besado los huevos por esa informacion

PICCORO dijo...

PICCORO (me fastidia logeame)

espera a que veas toooodo lo de la suit multimedia que tendra emus+info+docstecnicos+sound+videoeditores

unico en venenux y massenkoh o debian sarge

Anónimo dijo...

hola tengo una mainboard biostar p4m80-m4 con chipset north bridge via p4m800 y south bridge via vt8237r instale mandrivia 10.1 pero no corre el modo grafico alguien sabe como puedo configurarlo gracias

MCKAY Brothers dijo...

instala debian, no doy soporte win-driva, si quieres usar algo asi sin problema regresa a guindows..

para los debianos que tengan el problema aqui descrito por el ultimo anonimo, les explico:

las m800 (P4M800, P4MX800, K8N800, K8M800) usan el chipset de video "s3 unichrome pro", no el "s3 unichrome", y a esto le debemos anadir que algunas son IGP y otras no!

COMO ES ESO DE IGP, no se supone que todas las integradas son IGP????
ok, pero como todos sabemos, mediocre pa mediocre, esta compania esta casada con guindo y NO SIGUE ESTANDARES..

entonces hay dos casos:

1)el modulo de mi paquete llamado unicrome aqui es para las IGP puesto que son las no soportadas..

el resto debe usar el modulo "via" provisto por xorg.. en debian, al instlar etch o lenny, la targeta es detectada automaticamente, sino debes asignar vesa manualmente y despues instalar mi paquete..

2)algunas veces no es bien compilado el soporte de identificadores PCI en xorg (debian etch r0 y pre, lives cd) y este no detecta ninguna de las dos, en estos casos primero prueva con el modulo "via", si no sirve instla el paquete de PICCORO..

DONDE ES ESO DE MODULO:

pregunta tonta en linux, estan los modulos del kernel, del cual desde linux 2.6.12 ya viene integrado soporte dri para via.. por ello no hay proble..

el otro modulo es el de xorg, se asigna en e archivo "/etc/X11/xorg.conf" en la seccion "Device", ahy una entrada que dice "Driver", al lado esta la asignacion y hay que cambiarla a "unichrome" o "via" segun el caso.

es todo, ampliare el articulo cuando tenga mas tiempo...

Anónimo dijo...

http://elclubdelacharnela.blogspot.com/2007/10/os-tan.html

Emiliano dijo...

Hola, disculpame la molestia, pero vi tarde el post, no conocía el blog y me interesa probar el driver, lo que pasa que los links de las libchrome caducaron, para i386. No los volverías a subir?

Desde ya muchas gracias.

Saludos!

MCKAY Brothers dijo...

el blog no es muy conocido porque es solo para linux zealots, si usas un dualboot guindows no te molestes...

ahora, por otra parte, el driver y los paquetes en general estoy actualizandolos.. aun falta pero en una semana estan listos..

en amule estan unos 7z con paquetes.. busca por PICCORO

si me ayudaras a como haria yo para recuperar una clave de la cuenta rapidshare tipo free, los subo de nuevo..

en una semana esta los repositorios tambien, lee en el panel izqierdo los links que dicen REPOSITORY

cualquier cosa acuerdate lo primero que pusimos...

PICCORO dijo...

dame un mail y te los mando, soy el mantainer..

ojo, el binario detecta si tienes una particion windows en la instalacion ok, asi que espero no la tengas.. lo siento pero odio guindows...

elpunto bueno es que corre beyl jaj ja ja

Emiliano dijo...

Ok, no hay drama con lo de la partición windows; no uso windows, ya casi no me acuerdo que es eso =)
Mi mail es acropolizz@gmail.com

Desde ya muchas gracias!!

Saludos!

MCKAY Brothers dijo...

emiliano, te envie un correo, y pasado te enio paquetes de "preview", pues manana terminan las pruevas de "calidad"..

nunca des mails por mesages asi, no es recomendable. nuestro correo aparece aqui, pudiste mandas un mail privado. bueno esta bien.

me caes de maravilla con lo que digiste de guiiindo, asi que ten seguro que hare paquetes cuando me lo pides.

PICCORO dijo...

emiliano, el blog de McKAY emu se esta actualizando, para dentro de tres dias estara listo y actualizado las entradas.. disculpanos esa..

sobre los paquetes ya te contestaron veo.. y bueno los repos tendran mucho..

MCKAY Brothers dijo...

nuevos paquetes listos por PICCORO pero el repo aun no, asi que ya mande por coreo los que lo pidieron...

nota el unichrome es el nuevo via.. el openchrome es el que da 3D pero debe ser asignado manual ok..

VENENUX new packages VIA radeon and emulators gens and mednafen

Publicar un comentario

si vienes de guindo, winbuntu o parecido, limitate y escribe algo util...